
datablock TankData(MediumTank)
{
   category = "Tanks";
   shapeFile = "~/data/shapes/tanks/tank02.dts";
   brainShapeFile = "~/data/shapes/tanks/brainjar02.dts";
   camera = "DefaultTankCamera";
   fx = "DefaultTankFx";
   misc = "DefaultTankMisc";

   turnRate = 68.0;          // degrees per second
   accelRate = 12.0;         // increase velocity this many meters per second
   deccelRate = 20.0;        // when breaking, decrease velocity
                             // this many meters per second
   coastDeccelRate = 10.0;   // rate of decceleration when coasting...
   antiSlideRate = 11.1;      // dissipate sideways velocity by this many meters
                             // per second
   maxSpeed = 11.9;          // meters per second (in forward direction)

   turretVerCenter = 2.0;    // vertical resting angle of turret in degrees
   turretHorRange = 58.5;    // range in +/- degrees of turret horizontally
   turretVerRange = 21.0;    // range in +/- degrees of turret vertically
   turretAutoLevel = 0.5;

   suspensionRange = 0.6;    // proportion of wheel size for wheel to move up/down

   springRangeX = 0.06;
   springRangeY = 0.06;
   springVelScale = 1.0;
   springCorrectScale1 = 2.0;
   springCorrectScale2 = 0.99;

   damageAmount = 14.0;      // total amount of damage tank can withstand
   damageScale = 1.0;        // multiply damage we do to others by this amount
   armorScale = 1.0;         // multiply damage we take by this amount (note: smaller better)
   fireScale = 1.0;          // adjust inter-fire interval by scale (2 means twice as slow)

   defaultProjectile = "DefaultProjectile";
   ai = GoldMediumAI;
};

datablock TankData(LightTank : MediumTank)
{
   shapeFile = "~/data/shapes/tanks/tank01.dts";
   brainShapeFile = "~/data/shapes/tanks/brainjar01.dts";

   maxSpeed = 15.9;          // meters per second (in forward direction)
   accelRate = 14.0;         // increase velocity this many meters per second
   deccelRate = 20.0;        // when breaking, decrease velocity
   turnRate = 61.0;          // degrees per second
   antiSlideRate = 10.9;

   turretHorRange = 53.5;    // range in +/- degrees of turret horizontally
   turretAutoLevel = 0.92;

   damageAmount = 11.8;      // total amount of damage tank can withstand
   suspensionRange = 0.8;    // proportion of wheel size for wheel to move up/down

   damageScale = 1.0;        // multiply damage we do to others by this amount
   armorScale = 1.0;         // multiply damage we take by this amount (note: smaller better)

   defaultProjectile = "LightProjectile";
   ai = GoldLightAI;
};

datablock TankData(HeavyTank : MediumTank)
{
   shapeFile = "~/data/shapes/tanks/tank03.dts";
   brainShapeFile = "~/data/shapes/tanks/brainjar03.dts";

   accelRate = 8.5;         // increase velocity this many meters per second
   deccelRate = 7.85;        // when breaking, decrease velocity
   turnRate = 82.0;          // degrees per second
   antiSlideRate = 8.25;

   //turretHorRange = 53.5;    // range in +/- degrees of turret horizontally
   turretHorRange = 68.0;
   turretAutoLevel = 1.0;
   turretVerRange = 24.0;

   maxSpeed = 9.1;           // meters per second (in forward direction)
   damageAmount = 21.0;      // total amount of damage tank can withstand

   damageScale = 1.0;        // multiply damage we do to others by this amount
   armorScale = 1.0;         // multiply damage we take by this amount (note: smaller better)

   defaultProjectile = "HeavyProjectile";
   ai = GoldHeavyAI;
};

datablock TankData(BabyBoss : MediumTank)
{
   shapeFile = "~/data/shapes/tanks/tank05.dts";
   brainShapeFile = "~/data/shapes/tanks/brainjar04.dts";
   fx = "BabyBossFX";

   maxSpeed = 16.0;          // meters per second (in forward direction)
   accelRate = 15.0;         // increase velocity this many meters per second
   deccelRate = 16.0;        // when breaking, decrease velocity
   turnRate = 61.0;          // degrees per second
   antiSlideRate = 10.2;

   turretHorRange = 33.5;    // range in +/- degrees of turret horizontally
   turretAutoLevel = 0.92;

   damageAmount = 10.0;      // total amount of damage tank can withstand
   suspensionRange = 0.8;    // proportion of wheel size for wheel to move up/down

   damageScale = 1.0;        // multiply damage we do to others by this amount
   armorScale = 1.8;         // multiply damage we take by this amount (note: smaller better)

   defaultProjectile = "LightProjectile";
   ai = GoldLightAI;

};

//--------------------------------------------------------
// AI Tanks
//--------------------------------------------------------

datablock TankData(BronzeLightTank : LightTank)
{
   brainShapeFile = "~/data/shapes/tanks/bot01.dts";
   //damageAmount = 10.0;
   ai = BronzeLightAI;
};

datablock TankData(BronzeMediumTank : MediumTank)
{
   brainShapeFile = "~/data/shapes/tanks/bot01.dts";
   //damageAmount = 10.0;
   ai = BronzeMediumAI;
};

datablock TankData(BronzeHeavyTank : HeavyTank)
{
   brainShapeFile = "~/data/shapes/tanks/bot01.dts";
   //damageAmount = 10.0;
   ai = BronzeHeavyAI;
};

datablock TankData(SilverLightTank : LightTank)
{
   brainShapeFile = "~/data/shapes/tanks/bot02.dts";
   //damageAmount = 13.0;
   ai = SilverLightAI;
};

datablock TankData(SilverMediumTank : MediumTank)
{
   brainShapeFile = "~/data/shapes/tanks/bot02.dts";
   //damageAmount = 13.0;
   ai = SilverMediumAI;
};

datablock TankData(SilverHeavyTank : HeavyTank)
{
   brainShapeFile = "~/data/shapes/tanks/bot02.dts";
   //damageAmount = 13.0;
   ai = SilverHeavyAI;
};

datablock TankData(GoldLightTank : LightTank)
{
   brainShapeFile = "~/data/shapes/tanks/bot03.dts";
   //damageAmount = 15.0;
   ai = GoldLightAI;
};

datablock TankData(GoldMediumTank : MediumTank)
{
   brainShapeFile = "~/data/shapes/tanks/bot03.dts";
   //damageAmount = 15.0;
   ai = GoldMediumAI;
};

datablock TankData(GoldHeavyTank : HeavyTank)
{
   brainShapeFile = "~/data/shapes/tanks/bot03.dts";
   //damageAmount = 15.0;
   ai = GoldHeavyAI;
};

datablock TankData(BossTank : HeavyTank)
{
   shapeFile = "~/data/shapes/tanks/tank04.dts";
   brainShapeFile = "~/data/shapes/tanks/bot03.dts";
   fx = "ufoFX";

   damageAmount = 45.0;
   ai = BossAI;

   turnRate = 50.0;
   accelRate = 8.0;
   deccelRate = 20.0;
   coastDeccelRate = 10.0;
   antiSlideRate = 11.1;
   maxSpeed = 8;

};

datablock ProjectileData(ZeroProjectile : DefaultProjectile)
{
   count = 0;
};

datablock TankData(TargetLight : LightTank)
{
   ai = TargetLightAI;
   defaultProjectile = "ZeroProjectile";

   damageAmount = 8;
   maxSpeed = 15.9;
};

datablock TankData(TargetMedium : MediumTank)
{
   ai = TargetMediumAI;
   defaultProjectile = "ZeroProjectile";

   damageAmount = 12;
   maxSpeed = 11.9;
};

datablock TankData(TargetHeavy : HeavyTank)
{
   ai = TargetHeavytAI;
   defaultProjectile = "ZeroProjectile";

   damageAmount = 18;
   maxSpeed = 0.1;
};

datablock TankData(TargetSaucer : BabyBoss)
{
   ai = TargetSaucerAI;
   defaultProjectile = "ZeroProjectile";

   damageAmount = 3.5;
   maxSpeed = 16.0;
};
